Bug 614863 - python-qpid and python-qmf msi's do not contain Publisher flag in the msi files
Summary: python-qpid and python-qmf msi's do not contain Publisher flag in the msi files
Status: NEW
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid   
(Show other bugs)
Version: Development
Hardware: All
OS: Windows
low
medium
Target Milestone: ---
: ---
Assignee: Ted Ross
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 12:29 UTC by Frantisek Reznicek
Modified: 2019-02-08 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frantisek Reznicek 2010-07-15 12:29:13 UTC
Description of problem:

python-qpid and python-qmf msi packages
do not define contain Publisher value in the msi files so while user is installing them 'Publisher unknown' is noted there.

It would be good to specify publisher as this is one of the signs which end user uses for malware/spyware recognition.


Version-Release number of selected component (if applicable):
qpid-python-0.7.win32-py2.6.msi  
qpid-qmf-0.7.win32-py2.6.msi

How reproducible:
100%

Steps to Reproduce:
1. install qpid-python-0.7.win32-py2.6.msi  and/or qpid-qmf-0.7.win32-py2.6.msi
  
Actual results:
Unknown publisher reported.

Expected results:
Valid publisher should be reported.

Additional info:

Comment 1 Gordon Sim 2010-07-16 08:50:40 UTC
Rafi, is this an easy thing to address?

Comment 2 Rafael H. Schloming 2010-07-16 18:17:37 UTC
I can't find any obvious way to control this via distutils. I don't know if there may be an external way to repack the msi with updated metadata after it comes out of distutils. It might be worth consulting someone with more msi expertise on this point.


Note You need to log in before you can comment on or make changes to this bug.